Agent metadata
curl --request GET \
--url https://gateway.apiosk.com/{api_slug}/metadataconst options = {method: 'GET'};
fetch('https://gateway.apiosk.com/{api_slug}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"status": "<string>",
"api": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"listing_type": "<string>",
"gateway_base_url": "<string>",
"origin_url": "<string>",
"docs_url": "<string>"
},
"execute": {
"method": "<string>",
"path": "<string>",
"default_operation": "<string>",
"request_formats": [
{
"type": "<string>",
"description": "<string>"
}
]
},
"metadata_path": "<string>",
"operations": [
{
"id": "<string>",
"key": "<string>",
"method": "<string>",
"path": "<string>",
"gateway_url": "<string>",
"execute_url": "<string>",
"payment_required": true,
"price_usd": 123,
"description": "<string>",
"request_body": {},
"response_body": {},
"request_example": null,
"response_example": null,
"headers": {},
"query_params": {}
}
],
"metadata": {},
"mcp_tool": {},
"input_schema": {},
"output_schema": {},
"cost_per_call": 123,
"latency_ms": 123,
"tags": [
"<string>"
],
"agent_native": true,
"mcp_native": true
}{}Execution
Get agent metadata
GET
/
{api_slug}
/
metadata
Agent metadata
curl --request GET \
--url https://gateway.apiosk.com/{api_slug}/metadataconst options = {method: 'GET'};
fetch('https://gateway.apiosk.com/{api_slug}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"status": "<string>",
"api": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"listing_type": "<string>",
"gateway_base_url": "<string>",
"origin_url": "<string>",
"docs_url": "<string>"
},
"execute": {
"method": "<string>",
"path": "<string>",
"default_operation": "<string>",
"request_formats": [
{
"type": "<string>",
"description": "<string>"
}
]
},
"metadata_path": "<string>",
"operations": [
{
"id": "<string>",
"key": "<string>",
"method": "<string>",
"path": "<string>",
"gateway_url": "<string>",
"execute_url": "<string>",
"payment_required": true,
"price_usd": 123,
"description": "<string>",
"request_body": {},
"response_body": {},
"request_example": null,
"response_example": null,
"headers": {},
"query_params": {}
}
],
"metadata": {},
"mcp_tool": {},
"input_schema": {},
"output_schema": {},
"cost_per_call": 123,
"latency_ms": 123,
"tags": [
"<string>"
],
"agent_native": true,
"mcp_native": true
}{}Path Parameters
Gateway API slug.
Response
Agent-native metadata for one API.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I